Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 590648 - Expression parsing improvements: 1x FAIL gdb.cp/cpcompletion.exp
Expression parsing improvements: 1x FAIL gdb.cp/cpcompletion.exp
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gdb (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Jan Kratochvil
Petr Muller
:
Depends On:
Blocks: 519853
  Show dependency treegraph
 
Reported: 2010-05-10 08:08 EDT by Petr Muller
Modified: 2016-09-19 22:06 EDT (History)
3 users (show)

See Also:
Fixed In Version: gdb-7.1-19.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 15:26:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Muller 2010-05-10 08:08:20 EDT
Description of problem:
gdb.cp/cpcompletion.exptestcase was suggested to be run as part of
'Expression Parsing Improvements' feature testing for RHEL6. This testcase has
one failure across all architectures:

Running ./gdb.cp/cpcompletion.exp ...
FAIL: gdb.cp/cpcompletion.exp: complete p a.g


Version-Release number of selected component (if applicable):
gdb-7.1-18

How reproducible:
always

Steps to Reproduce:
1. runtest --tool=gdb cpcompletion.exp
2.
3.
  
Actual results:
# of expected passes            5
# of unexpected failures        1


Expected results:
# of expected passes            6


Additional info:
Comment 1 RHEL Product and Program Management 2010-05-10 09:24:16 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Jan Kratochvil 2010-05-11 15:10:55 EDT
This is an upstream testcase-only problem fixed in HEAD (but not in 7.1 present in RHEL-6.0).

[commit/testsuite] Fix cpcompletion.exp with debug info for the runtime
From: Daniel Jacobowitz <dan at codesourcery dot com>
http://sourceware.org/ml/gdb-patches/2010-02/msg00391.html
66f11cc3df716dd6b48056f9ae7abbfc4437e1d9

I can push it, give it qa_ack, please.
Comment 3 Fedora Update System 2010-05-12 16:47:57 EDT
gdb-7.1-19.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gdb-7.1-19.fc13
Comment 4 Jan Kratochvil 2010-05-12 19:26:15 EDT
Comment 2 is wrong, there is needed a fix from the gdb/completer.c part of:
Re: [rfc] Work around invalid G++ DWARF for unnamed aggregates
http://sourceware.org/ml/gdb-patches/2010-03/msg00909.html
commit 5e40af195bd74a66d300d8f481cab1f2ba533f3a
Comment 5 Fedora Update System 2010-05-13 15:22:42 EDT
gdb-7.1-19.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 releng-rhel@redhat.com 2010-11-10 15:26:06 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.